Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.royalti.io/labels/{id}/settings \ --header 'Authorization: Bearer <token>'
{ "status": "<string>", "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "tradingName": "<string>", "pLinePrefix": "<string>", "cLinePrefix": "<string>", "isrcPrefix": "<string>", "upcPrefix": "<string>", "distributionSettings": {}, "catalogSettings": {}, "ddexSettings": {} } }
Get Label Settings
const response = await fetch('https://api.royalti.io/labels/example-id/settings', { method: 'GET', headers: { 'Authorization': `Bearer ${token}`, }, }); const data = await response.json(); console.log(data);
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Success
Subset of label fields exposed for settings management
Show child attributes